<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/dot_fig_get_no.compin.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>12/14/80  dot_fig_get_no.compin
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>Syntax:  .ifi dot_fig_get_no n
<span id="L4" class="LineNr"> 4 </span>
<span id="L5" class="LineNr"> 5 </span>
<span id="L6" class="LineNr"> 6 </span>Function:
<span id="L7" class="LineNr"> 7 </span>This compose macro generates the number of a &quot;dot number&quot; figure other
<span id="L8" class="LineNr"> 8 </span>than the current figure.
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Arguments:
<span id="L12" class="LineNr">12 </span>'n' is an integer; the number of the nth &quot;dot number&quot; figure relative
<span id="L13" class="LineNr">13 </span>   to the current figure.
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>Notes:
<span id="L17" class="LineNr">17 </span>1) The number of the nth &quot;dot number&quot; figure relative to the current
<span id="L18" class="LineNr">18 </span>   figure <span class="textRainbow_lv0_p0">(</span>e.g.<span class="textRainbow_lv0_o0">,</span> -1 = first preceding<span class="textRainbow_lv0_o0">,</span> 2 = second following<span class="textRainbow_lv0_p0">)</span> is
<span id="L19" class="LineNr">19 </span>   calculated and set into the 'figure' compose variable.  The form of
<span id="L20" class="LineNr">20 </span>   the number is the same as that generated by the dot_fig macro <span class="textRainbow_lv0_p0">(</span>see
<span id="L21" class="LineNr">21 </span>   dot_fig.compin.info.<span class="textRainbow_lv0_p0">)</span>  'figure' is used to refer to the desired
<span id="L22" class="LineNr">22 </span>   figure.
<span id="L23" class="LineNr">23 </span>2) See dot_fig.compin.info, fig.compin.info, dot_fig_index.compin.info,
<span id="L24" class="LineNr">24 </span>   fig_index.compin.info, and fig_on.compin.info for related
<span id="L25" class="LineNr">25 </span>   information.
<span id="L26" class="LineNr">26 </span>
<span id="L27" class="LineNr">27 </span>
<span id="L28" class="LineNr">28 </span>Examples:
<span id="L29" class="LineNr">29 </span>The following lines reference the next three &quot;dot number&quot; figures that
<span id="L30" class="LineNr">30 </span>follow Figure 2 in the text of an unsectioned document.
<span id="L31" class="LineNr">31 </span>
<span id="L32" class="LineNr">32 </span>     .ifi dot_fig_get_no 1
<span id="L33" class="LineNr">33 </span>     .ur Figure %figure%,
<span id="L34" class="LineNr">34 </span>     .ifi dot_fig_get_no 2
<span id="L35" class="LineNr">35 </span>     .ur Figure %figure%, and
<span id="L36" class="LineNr">36 </span>     .ifi dot_fig_get_no 3
<span id="L37" class="LineNr">37 </span>     .ur Figure %figure% below illustrate these results.
<span id="L38" class="LineNr">38 </span>
<span id="L39" class="LineNr">39 </span>Figure 2.1, Figure 2.2, and Figure 2.3 below illustrate these results.
<span id="L40" class="LineNr">40 </span>
<span id="L41" class="LineNr">41 </span><span class="textRainbow_lv0_p0">(</span>END<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
